Shader File Reference
`#include <osg/GLExtensions>`
`#include <osg/Object>`
`#include <osg/buffered_value>`
`#include <set>`
`#include <map>`

Go to the source code of this file.

## Classes

class | osg::ShaderBinary
class | osg::Shader
class | osg::Shader::PerContextShader
struct | osg::Shader::ShaderObjects
class | osg::ShaderComponent

## Namespaces

namespace | osg

## Macros

#define | OSG_SHADER 1

## Typedefs

typedef std::set< std::string > | osg::ShaderDefines

## Macro Definition Documentation

## OSG_SHADER

#define OSG_SHADER 1